FEDORA-2018-b60fdc1998 created by jridky a year ago for Fedora 28
unpushed

Update to net-snmp-5.8.

This update has been submitted for testing by jridky.

a year ago

This update has been pushed to testing.

a year ago
User Icon rdieter commented & provided feedback a year ago
karma

Broken deps: package hplip-libs-3.18.6-10.fc28.x86_64 requires libnetsnmp.so.30()(64bit), but none of the providers can be installed

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

a year ago
User Icon zdohnal commented & provided feedback a year ago

Rebuilt hplip with new net-snmp FEDORA-2018-e7d66d4d3f

User Icon mstevens commented & provided feedback a year ago
karma

Broken deps: package php-snmp-7.2.12-1.fc28.x86_64 requires libnetsnmp.so.30()(64bit), but none of the providers can be installed

User Icon mstevens commented & provided feedback a year ago

Btw there some other broken deps: "dnf repoquery --whatrequires 'libnetsnmp.so.30()(64bit)'"

Last metadata expiration check: 0:25:32 ago on Tue 04 Dec 2018 11:13:49 AM CET. 389-ds-base-snmp-0:1.4.0.16-1.fc28.x86_64 389-ds-base-snmp-0:1.4.0.6-2.fc28.x86_64 OpenIPMI-0:2.0.24-4.fc28.x86_64 OpenIPMI-0:2.0.25-8.fc28.x86_64 asterisk-snmp-0:15.3.0-1.fc28.x86_64 cacti-spine-0:1.1.38-2.fc28.x86_64 collectd-snmp-0:5.8.0-8.fc28.x86_64 collectd-snmp-0:5.8.1-1.fc28.x86_64 corosync-0:2.4.4-1.fc28.x86_64 cyrus-imapd-0:3.0.5-7.fc28.x86_64 foghorn-0:0.1.6-18.fc28.x86_64 hplip-0:3.18.3-1.fc28.x86_64 hplip-0:3.18.6-10.fc28.x86_64 hplip-libs-0:3.18.3-1.fc28.x86_64 hplip-libs-0:3.18.6-10.fc28.x86_64 ifstat-0:1.1-25.fc28.x86_64 keepalived-0:1.4.2-1.fc28.x86_64 keepalived-0:1.4.5-1.fc28.x86_64 libsane-hpaio-0:3.18.3-1.fc28.x86_64 libsane-hpaio-0:3.18.6-10.fc28.x86_64 lldpd-0:0.9.8-2.fc28.x86_64 lldpd-0:1.0.1-1.fc28.x86_64 mbrowse-0:0.4.3-15.fc27.x86_64 nagios-plugins-snmp-disk-proc-0:1.3.1-5.fc27.x86_64 nagios-plugins-snmp-disk-proc-0:1.3.1-6.fc28.x86_64 net-snmp-1:5.7.3-36.fc28.x86_64 net-snmp-1:5.7.3-38.fc28.x86_64 net-snmp-agent-libs-1:5.7.3-36.fc28.x86_64 net-snmp-agent-libs-1:5.7.3-38.fc28.x86_64 net-snmp-devel-1:5.7.3-36.fc28.x86_64 net-snmp-devel-1:5.7.3-38.fc28.x86_64 net-snmp-perl-1:5.7.3-36.fc28.x86_64 net-snmp-perl-1:5.7.3-38.fc28.x86_64 net-snmp-utils-1:5.7.3-36.fc28.x86_64 net-snmp-utils-1:5.7.3-38.fc28.x86_64 ntop-0:5.0.1-15.fc28.x86_64 nut-0:2.7.4-14.fc28.x86_64 openhpi-0:3.7.0-5.fc28.x86_64 openhpi-0:3.8.0-1.fc28.x86_64 openhpi-libs-0:3.7.0-5.fc28.x86_64 openhpi-libs-0:3.8.0-1.fc28.x86_64 openhpi-subagent-0:2.3.4-34.fc28.x86_64 opensips-snmpstats-0:2.3.3-3.fc28.x86_64 opensips-snmpstats-0:2.3.6-1.fc28.x86_64 php-snmp-0:7.2.12-1.fc28.x86_64 php-snmp-0:7.2.4-2.fc28.x86_64 ptpd-0:2.3.1-11.235e9b4.fc28.x86_64 python2-net-snmp-1:5.7.3-38.fc28.x86_64 python3-net-snmp-1:5.7.3-36.fc28.x86_64 quagga-0:1.2.2-4.fc28.x86_64 quagga-0:1.2.4-1.fc28.x86_64 rsyslog-snmp-0:8.34.0-1.fc28.x86_64 rsyslog-snmp-0:8.38.0-1.fc28.x86_64 tog-pegasus-libs-2:2.14.1-43.fc28.x86_64 tog-pegasus-test-2:2.14.1-43.fc28.x86_64 zabbix-proxy-mysql-0:3.0.16-1.fc28.x86_64 zabbix-proxy-mysql-0:3.0.22-1.fc28.x86_64 zabbix-proxy-pgsql-0:3.0.16-1.fc28.x86_64 zabbix-proxy-pgsql-0:3.0.22-1.fc28.x86_64 zabbix-proxy-sqlite3-0:3.0.16-1.fc28.x86_64 zabbix-proxy-sqlite3-0:3.0.22-1.fc28.x86_64 zabbix-server-mysql-0:3.0.16-1.fc28.x86_64 zabbix-server-mysql-0:3.0.22-1.fc28.x86_64 zabbix-server-pgsql-0:3.0.16-1.fc28.x86_64 zabbix-server-pgsql-0:3.0.22-1.fc28.x86_64

User Icon augenauf commented & provided feedback a year ago
karma

no regression noted.

User Icon filiperosset commented & provided feedback a year ago
karma

no regressions noted

User Icon bochecha commented & provided feedback a year ago
karma

This bumps soname, should this really be pushed as a stable update?

hplip was rebuilt against this, and made it to stable independently, so it's now broken. When a soname bumping update like this really has to be pushed to stable, all the dependent packages should be bundled in the same update so they all go to stable at the same time.

User Icon kwizart commented & provided feedback a year ago
karma

This package violate the updates policy on stables updates (ABI break) https://fedoraproject.org/wiki/Updates_Policy If an exception would be granted (because of a CVE or else), then one needs to properly handle all dependencies.

At this step this update has to be totally withdrawn and the hplip reverted. Please consider to only backport the security issue if possible.

This update has been unpushed.


Please login to add feedback.

Metadata
Type
security
Karma
-2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Dates
submitted
a year ago
in testing
a year ago
BZ#1531020 net-snmp-5.8 is available
0
0
BZ#1543853 net-snmp: Fedora build flags only partially applied
0
0
BZ#1637573 CVE-2018-18065 CVE-2018-18066 net-snmp: various flaws [fedora-all]
0
0

Automated Test Results